package hdl

import (
	"applet/app/admin/lib/validate"
	"applet/app/admin/md"
	svc2 "applet/app/admin/svc/order"
	"applet/app/e"
	"applet/app/enum"
	"github.com/gin-gonic/gin"
)

func CentralKitchenForSchoolOrderRefundList(c *gin.Context) {
	var req md.CentralKitchenForSchoolOrderRefundListReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	list, total, err := svc2.CentralKitchenForSchoolOrderRefundList(req)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, map[string]interface{}{
		"list":  list,
		"total": total,
		"audit_kind_list": []map[string]interface{}{
			{
				"name":  "同意",
				"value": 1,
			},
			{
				"name":  "拒绝",
				"value": 2,
			},
		},
		"kind_list": []map[string]interface{}{
			{
				"name":  enum.CentralKitchenForSchoolUserWithDayKind.String(enum.CentralKitchenForSchoolUserWithDayKindForBreakfast),
				"value": enum.CentralKitchenForSchoolUserWithDayKindForBreakfast,
			},
			{
				"name":  enum.CentralKitchenForSchoolUserWithDayKind.String(enum.CentralKitchenForSchoolUserWithDayKindForLunch),
				"value": enum.CentralKitchenForSchoolUserWithDayKindForLunch,
			},
			{
				"name":  enum.CentralKitchenForSchoolUserWithDayKind.String(enum.CentralKitchenForSchoolUserWithDayKindForDinner),
				"value": enum.CentralKitchenForSchoolUserWithDayKindForDinner,
			},
		},
		"state_list": []map[string]interface{}{
			{
				"name":  enum.CentralKitchenForSchoolUserRefundDayState.String(enum.CentralKitchenForSchoolUserRefundDayStateForAuditing),
				"value": enum.CentralKitchenForSchoolUserRefundDayStateForAuditing,
			},
			{
				"name":  enum.CentralKitchenForSchoolUserRefundDayState.String(enum.CentralKitchenForSchoolUserRefundDayStateForAuditPass),
				"value": enum.CentralKitchenForSchoolUserRefundDayStateForAuditPass,
			},
			{
				"name":  enum.CentralKitchenForSchoolUserRefundDayState.String(enum.CentralKitchenForSchoolUserRefundDayStateForAuditReject),
				"value": enum.CentralKitchenForSchoolUserRefundDayStateForAuditReject,
			},
			{
				"name":  enum.CentralKitchenForSchoolUserRefundDayState.String(enum.CentralKitchenForSchoolUserRefundDayStateForAuditComplete),
				"value": enum.CentralKitchenForSchoolUserRefundDayStateForAuditComplete,
			},
		},
	}, nil)
	return
}

func CentralKitchenForSchoolOrderRefundAudit(c *gin.Context) {
	var req md.CentralKitchenForSchoolOrderRefundAuditReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	err = svc2.CentralKitchenForSchoolOrderRefundAudit(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, "success", nil)
	return
}
