package db

import (
	"applet/app/admin/md"
	"applet/app/db/model"
	"applet/app/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

type CentralKitchenForSchoolPackageDb struct {
	Db *xorm.Engine `json:"db"`
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) Set() { // set方法
	centralKitchenForSchoolPackageDb.Db = Db
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) GetCentralKitchenForSchoolPackage(id int) (m *model.CentralKitchenForSchoolPackage, err error) {
	m = new(model.CentralKitchenForSchoolPackage)
	has, err := centralKitchenForSchoolPackageDb.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) GetCentralKitchenForSchoolPackageByMonth(year, month string) (m *model.CentralKitchenForSchoolPackage, err error) {
	m = new(model.CentralKitchenForSchoolPackage)
	has, err := centralKitchenForSchoolPackageDb.Db.Where("year =? and month =?", year, month).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) FindCentralKitchenForSchoolPackage() (*[]model.CentralKitchenForSchoolPackage, error) {
	var m []model.CentralKitchenForSchoolPackage
	if err := centralKitchenForSchoolPackageDb.Db.Desc("id").Find(&m); err != nil {
		return nil, logx.Error(err)
	}
	return &m, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) CentralKitchenForSchoolPackageInsert(m *model.CentralKitchenForSchoolPackage) (int, error) {
	_, err := centralKitchenForSchoolPackageDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) CentralKitchenForSchoolPackageInsertBySession(session *xorm.Session, m *model.CentralKitchenForSchoolPackage) (int, error) {
	_, err := session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) CentralKitchenForSchoolPackageDelete(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return Db.In("id", id).Delete(model.CentralKitchenForSchoolPackage{})
	} else {
		return Db.Where("id = ?", id).Delete(model.CentralKitchenForSchoolPackage{})
	}
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) CentralKitchenForSchoolPackageUpdateBySession(session *xorm.Session, id interface{}, m *model.CentralKitchenForSchoolPackage, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = session.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = session.Where("id=?", id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (centralKitchenForSchoolPackageDb *CentralKitchenForSchoolPackageDb) CentralKitchenForSchoolPackageList(req md.ListCentralKitchenForSchoolPackageReq) (m []model.CentralKitchenForSchoolPackage, total int64, err error) {
	sess := centralKitchenForSchoolPackageDb.Db.Where("enterprise_id =?", req.EnterpriseId).Desc("id").Limit(req.Limit, (req.Page-1)*req.Limit)
	if req.Year != "" {
		sess.And("year = ?", req.Year)
	}
	if req.Month != "" {
		sess.And("month = ?", req.Month)
	}
	total, err = sess.And("is_delete = 0").FindAndCount(&m)
	if err != nil {
		return
	}
	return
}
