package model

type Enterprise struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name      string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	Pvd       int32  `json:"pvd" xorm:"not null default 1 comment('场景(1:央厨配送 2:自营食堂)') TINYINT(1)"`
	Kind      int32  `json:"kind" xorm:"not null default 1 comment('种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)') TINYINT(1)"`
	CompanyId int    `json:"company_id" xorm:"not null default 0 comment('所属公司id') INT(11)"`
	State     int32  `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	Memo      string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(244)"`
	CreateAt  string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt  string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
