package model

type SelfSupportForUserFaceInfo struct {
	Id                              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	UserIdentityId                  int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	CollectFaceType                 int    `json:"collect_face_type" xorm:"not null default 1 comment('采集人脸方式(1:个采 2:集采)') TINYINT(1)"`
	SchoolCode                      string `json:"school_code" xorm:"not null default '' comment('学校内标') VARCHAR(255)"`
	SchoolStdCode                   string `json:"school_std_code" xorm:"not null default '' comment('学校外标') VARCHAR(255)"`
	ParentUserId                    string `json:"parent_user_id" xorm:"not null default '' comment('用于开通一脸通行的支付宝账户uid(如果是父母为孩子开通，则为父母支付宝uid；如果是用户为本人开通，则为本人支付宝uid)') VARCHAR(255)"`
	ParentLogonId                   string `json:"parent_logon_id" xorm:"not null default '' comment('家长支付宝账户的脱敏信息') VARCHAR(255)"`
	UserId                          string `json:"user_id" xorm:"not null default '' comment('刷脸用户id') VARCHAR(255)"`
	SchoolFacePassStatus            string `json:"school_face_pass_status" xorm:"not null default '' comment('校园一脸通行开通状态(开通:OPEN 关闭:CLOSE)') CHAR(50)"`
	SchoolFacePaymentStatus         string `json:"school_face_payment_status" xorm:"not null default '' comment('校园一脸通行刷脸支付开通状态(开通:OPEN 关闭:CLOSE)') CHAR(50)"`
	ConcentrateSchoolFacePassStatus int    `json:"concentrate_school_face_pass_status" xorm:"not null default 1 comment('校园一脸通行集采状态(1:待采集 2:待确认 3:已确认)') TINYINT(1)"`
	CreateAt                        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
