package model

type UserIdentity struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid          int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	Name         string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	IdNo         string `json:"id_no" xorm:"not null default '' comment('身份证号码') VARCHAR(255)"`
	Kind         int    `json:"kind" xorm:"not null default 1 comment('类型(1:普通用户 2:工作人员)') TINYINT(1)"`
	Identity     int    `json:"identity" xorm:"not null default 1 comment('身份类型(1:央厨-学生 2:央厨-教职员工 3:央厨-工作人员 4:自营-学生 5:自营-教职员工 6:自营-工作人员)') TINYINT(1)"`
	EnterpriseId int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	State        int    `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	Memo         string `json:"memo" xorm:"not null default '' comment('备注信息') VARCHAR(244)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
